Wind River Support Network

HomeDefectsLIN5-7937
Fixed

LIN5-7937 : error in vsftpd do_install

Created: Jun 13, 2013    Updated: Dec 19, 2017
Resolved Date: Jul 11, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.5
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The following error is seen in the log for do_install process of the vsftpd package:

/usr/work/qemux86-64/glibc_cgl-cgl-501/bitbake_build/tmp/work/x86_64-wrs-linux/vsftpd-3.0.0-r2/temp/do_install/run.do_install.4123: line 104: test: -L/usr/work/rdanter/qemux86-64/glibc_cgl-cgl-501/bitbake_build/tmp/sysroots/qemux86-64/lib64: binary operator expected

Steps to Reproduce

$ configure --enable-board=qemux86-64 --enable-rootfs=glibc_cgl --enable-kernel=cgl
$ make
$ cd build/vsftpd-3.0.0-r2/temp
$ grep "expected" log.do_install 
/usr/work/rdanter/qemux86-64/glibc_cgl-cgl-501/bitbake_build/tmp/work/x86_64-wrs-linux/vsftpd-3.0.0-r2/temp/do_install/run.do_install.4123: line 104: test: -L/usr/work/rdanter/qemux86-64/glibc_cgl-cgl-501/bitbake_build/tmp/sysroots/qemux86-64/lib64: binary operator expected

Other Downloads


Live chat
Online